# React Pretty Bytes

> Convert bytes to a human readable string `1337` → `1.34 kB`

[![CI](https://github.com/yohix/react-pretty-bytes/workflows/CI/badge.svg)](https://github.com/yohix/react-pretty-bytes/actions)
[![Version](http://img.shields.io/npm/v/react-pretty-bytes.svg?style=flat)](https://badge.fury.io/js/react-pretty-bytes)
[![Downloads](https://img.shields.io/npm/dm/react-pretty-bytes.svg)](https://npmjs.com/react-pretty-bytes)
[![Install size](https://badgen.net/packagephobia/install/react-pretty-bytes)](https://packagephobia.now.sh/result?p=react-pretty-bytes)

[![NPM](https://nodei.co/npm/react-pretty-bytes.png?downloads=true)](https://nodei.co/npm/react-pretty-bytes)

## Try in CodeSandbox

[![Edit react-camelcase](https://codesandbox.io/static/img/play-codesandbox.svg)](https://codesandbox.io/s/react-pretty-bytes-ypfx8?fontsize=14&hidenavigation=1&theme=dark)

## Install

```
$ npm install react-pretty-bytes
```

## Usage

```js
import PrettyBytes from 'react-pretty-bytes';

const App = () => (
  <div>
    <PrettyBytes bytes={1337} />
  </div>
);

// => '1.34 kB'
```

## API

### bytes={input}

Type: `integer`

```jsx
<PrettyBytes bytes={1337} />

// => '1.34 kB'
```

### option={object}

Type: `object`

#### `{bits: true}`

Type: `boolean`
Default: `false`

```jsx
<PrettyBytes bytes={1337} option={{bits: true}} />

// => '1.34 kbit'
```

#### `{signed: true}`

Type: `boolean`
Default: `false`

```jsx
<PrettyBytes bytes={1337} option={{signed: true}} />

// => '+42 B'
```

#### `{locale: 'lang'}`

Type: `boolean` `string`
Default: `false`

```jsx
<PrettyBytes bytes={1337} option={{locale: 'de'}} />

// => '1,34 kB'
```

## Modules used

- [**pretty-bytes**](https://www.npmjs.com/package/pretty-bytes) - Convert bytes to a human readable string

## License

MIT © [Yohix](LICENSE)
